Subject: Re: b17 bash problem with /dev/null on Windows 95 system
From: [email-masked] (Winona Strater)

8 Dec 1996 22:36:20 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Carl J R Johansson <[email-masked]>
Original-CC: "John W. Eaton" <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

null can be made, I have a /dev/null on my drive.

Win

Carl J R Johansson wrote:
> 
> On Sat, 7 Dec 1996, John W. Eaton wrote:
> 
> > After installing all the binaries for b17 on a Windows 95 system, I
> > tried to run a configure script and got this:
> >
> >   COPY FOR DUP FAILED, handle in FFFFFFFF 6!!
> >   bash.exe: /dev/null: Bad file number
> >
> > Then I tried to echo something and redirect it to /dev/null with the
> > same results:
> >
> >   bash$ echo foo > /dev/null
> >   COPY FOR DUP FAILED, handle in FFFFFFFF 6!!
> >   bash.exe: /dev/null: Bad file number
> >
> >From the 'readme':
> 
>    Files cannot be named com1, lpt1, or aux (to name a few); either as
> the root filename or as the extension part.  If you do, you'll have
> trouble.  Unix programs don't avoid these names which can make things
> interesting.  Eg, the perl distribution has a file called `aux.sh'.
> The perl configuration tries to make sure that `aux.sh' is there, but
> an operation on a file with the magic letters 'aux' in it will hang.
> 
> I suppose 'null' belongs to this category as well (or then maybe
> I'm totally wrong).
> 
> cj
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".